<?xml version="1.0"?>
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
   version="1.0">

<xsl:output method="html" indent="yes"/>

<xsl:param name="title" select="/article/articleinfo/title"/>

<xsl:template match="/">
<html>
   <head>
      <script language="JavaScript"><xsl:comment><xsl:text
         disable-output-escaping="yes"><![CDATA[
function GetCookie(name)
{
   var arg = name + "=",
       alen = arg.length,
       clen = document.cookie.length,
       i = 0;
   while(i < clen)
   {
      var j = i + alen;
      if(document.cookie.substring(i,j) == arg)
         return "found";
      i = document.cookie.indexOf(" ",i) + 1;
      if(i==0)
	      break;
   }
   return null;
}
var cookie = "XBE220010130";
if(GetCookie(cookie) == null)
{
   newwin = open("pslink.jpg","dispwin",
                 "width=200,height=115,menubar=no");
   document.cookie = cookie + "=found; " +
                     "expires=Thu 01-01-2005 00:00:00 GMT;";
}   //]]></xsl:text></xsl:comment></script>
      <title><xsl:value-of select="$title"/></title>
   </head>
   <body bgcolor="#ffcc33">
      <xsl:apply-templates/>
   </body>
</html>
</xsl:template>

<xsl:template match="article">
<table bgcolor="#ffffff" width="80%" align="center"><tr><td>
   <xsl:apply-templates select="articleinfo"/>
   <p><xsl:for-each select="sect1/title">
      <a href="#{generate-id()}"><xsl:value-of
         select="."/></a><br/>
   </xsl:for-each></p>
   <xsl:apply-templates select="sect1"/>
</td></tr></table>
</xsl:template>

<xsl:template match="articleinfo/title">
   <h1><xsl:apply-templates/></h1>
</xsl:template>

<xsl:template match="title">
   <h2><a name="{generate-id()}"><xsl:apply-templates/></a></h2>
</xsl:template>

<xsl:template match="sect1[not(position() mod 2 = 1)]/title">
   <h2 align="right"><a name="{generate-id()}"><xsl:apply-templates/></a></h2>
</xsl:template>

<xsl:template match="ulink">
   <a href="{@url}"><xsl:apply-templates/></a>
</xsl:template>

<xsl:template match="emphasis">
   <b><xsl:apply-templates/></b>
</xsl:template>

<xsl:template match="para">
   <p><xsl:apply-templates/></p>
</xsl:template>

<xsl:template match="sect1[not(position() mod 2 = 1)]/para">
   <p align="right"><xsl:apply-templates/></p>
</xsl:template>

<xsl:template match="author">
   <p>by <xsl:value-of select="firstname"/>
   <xsl:text> </xsl:text>
   <xsl:value-of select="surname"/></p>
</xsl:template>

</xsl:stylesheet>
